---
title: CSSRule.cssText
slug: Web/API/CSSRule/cssText
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("CSSOM") }}</div>

<p>The <code><strong>cssText</strong></code> property of the {{domxref("CSSRule")}} interface returns the actual text of a {{domxref("CSSStyleSheet")}} style-rule.</p>

<div class="notecard note">
<p><strong>Note:</strong> Do not confuse this property with element-style {{domxref("CSSStyleDeclaration.cssText")}}.</p>
</div>

<p>Be aware that this property can no longer be set directly, as it is <a href="https://www.w3.org/TR/cssom-1/#changes-from-5-december-2013">now specified</a> to be <em>functionally</em> modify-only, and silently so. In other words, attempting to set it <em>does absolutely nothing</em>, and doesn't even omit a warning or error. Furthermore, it has no settable sub-properties. Therefore, to modify it, use the stylesheet's {{domxref("CSSRuleList", "cssRules")}}<code>[index]</code> properties {{domxref("CSSStyleRule.selectorText", ".selectorText")}} and {{domxref("CSSStyleRule.style", ".style")}} (or its sub-properties). See <a href="/en-US/docs/Web/API/CSS_Object_Model/Using_dynamic_styling_information" title="DOM/Using_dynamic_styling_information">Using dynamic styling information</a> for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = cssRule.cssText
</pre>

<h2 id="Example">Example</h2>

<pre class="brush:html;">&lt;style&gt;
  body {
    background-color: darkblue;
  }
&lt;/style&gt;

&lt;script&gt;
  var stylesheet = document.styleSheets[0];
  alert(stylesheet.cssRules[0].cssText); // body { background-color: darkblue; }
&lt;/script&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-cssrule-csstext", "CSSRule: cssText")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSRule.cssText")}}</p>
